package de.ozgcloud.aggregation.warehouse;

import java.util.stream.Stream;

import org.springframework.data.mongodb.core.MongoTemplate;

import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
class CustomWarehouseRepositoryImpl implements CustomWarehouseRepository {

	private final MongoTemplate mongoTemplate;

	@Override
	public void saveAllInCollection(Stream<DocumentEntry> documentEntries, String collectionName) {
		documentEntries.forEach(entry -> saveInCollection(entry, collectionName));
	}

	@Override
	public DocumentEntry saveInCollection(DocumentEntry documentEntry, String collectionName) {
		return mongoTemplate.save(documentEntry, collectionName);
	}

	@Override
	public void clearCollection(String collectionName) {
		mongoTemplate.dropCollection(collectionName);
	}

}
