/*
 * Copyright (C) 2025 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.aggregation.extern;

import de.ozgcloud.aggregation.data.GrpcAggregationData;
import de.ozgcloud.aggregation.data.GrpcAggregationData.Builder;
import de.ozgcloud.aggregation.warehouse.DocumentEntryTestFactory;

public class GrpcAggregationDataTestFactory {

	public static GrpcAggregationData create() {
		return createBuilder().build();
	}

	public static Builder createBuilder() {
		return GrpcAggregationData.newBuilder()
				.setId(DocumentEntryTestFactory.ID)
				.setStatus(DocumentEntryTestFactory.STATUS)
				.setEingangDatum(DocumentEntryTestFactory.EINGANGSDATUM.toString())
				.setVorgangName(DocumentEntryTestFactory.VORGANG_NAME);
	}
}
