/*
 * Copyright (C) 2025 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.aggregation.transformation;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.aggregation.transformation.AggregationMapping.AggregationMappingBuilder;
import de.ozgcloud.aggregation.transformation.AggregationMapping.FieldMapping;
import de.ozgcloud.aggregation.transformation.AggregationMapping.FormIdentifier;

public class AggregationMappingTestFactory {

	public static final FormIdentifier FORM_IDENTIFIER = FormIdentifierTestFactory.create();
	public static final FieldMapping MAPPING = FieldMappingTestFactory.create();
	public static final String NAME = LoremIpsum.getInstance().getWords(1);
	public static final AggregationMapping.Scope SCOPE = AggregationMapping.Scope.INTERN;

	public static AggregationMapping create() {
		return createBuilder().build();
	}

	public static AggregationMappingBuilder createBuilder() {
		return AggregationMapping.builder()
				.formIdentifier(FORM_IDENTIFIER)
				.fieldMapping(MAPPING)
				.name(NAME)
				.scope(SCOPE);
	}
}
